## org.apache.mahout.cf.taste.hadoop
Class EntityEntityWritable

    java.lang.Object
      org.apache.mahout.cf.taste.hadoop.EntityEntityWritable

All Implemented Interfaces:
  Cloneable, Comparable<EntityEntityWritable>, org.apache.hadoop.io.Writable, org.apache.hadoop.io.WritableComparable<EntityEntityWritable>

    public final class EntityEntityWritable

extends Object
implements org.apache.hadoop.io.WritableComparable<EntityEntityWritable>, Cloneable

A `WritableComparable` encapsulating two items.

Constructor Summary
`EntityEntityWritable()`
`EntityEntityWritable(long aID, long bID)`

Method Summary
`EntityEntityWritable` `clone()`
`int` `compareTo(EntityEntityWritable that)`
`boolean` `equals(Object o)`
`int` `hashCode()`
`void` `readFields(DataInput in)`
`String` `toString()`
`void` `write(DataOutput out)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityEntityWritable

    public EntityEntityWritable()

### EntityEntityWritable

    public EntityEntityWritable(long aID,
                                long bID)

Method Detail

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### compareTo

    public int compareTo(EntityEntityWritable that)

  Specified by:
    `compareTo` in interface `Comparable<EntityEntityWritable>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clone

    public EntityEntityWritable clone()

  Overrides:
    `clone` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.